  swagger: "2.0"
  info: 
    description: "API responsável por fornecer recursos de comunicação disponíveis aos aplicativos Sompo"
    version: "v2"
    title: "PORTALDEV - API Communications"
  host: "api.sompo.com.br"
  basePath: "/communications/v2"
  tags: 
    - 
      name: "Email"
      description: "Envio de mensagens por e-mail."
    - 
      name: "Bulk Email"
      description: "Envio em lote de mensagens por e-mail."
    - 
      name: "SMS"
      description: "Envio de mensagens por SMS."
  schemes: 
    - "https"
  paths: 
    /sms/status: 
      post: 
        tags: 
          - "SMS"
        summary: "Status de envio de SMS"
        description: "Status de envio de SMS"
        parameters: 
          - 
            in: "body"
            name: "body"
            description: "Status de envio de SMS"
            required: true
            schema: 
              $ref: "#/definitions/SendStatusRequest"
        responses: 
          200: 
            description: "OK - Requisição com sucesso"
            schema: 
              $ref: "#/definitions/SmsStatusResp"
          400: 
            description: "Bad Request - Parametros inválidos ou ausentes"
            schema: 
              $ref: "#/definitions/Errors"
          401: 
            description: "Not Authorized - Não autorizado"
            schema: 
              $ref: "#/definitions/Errors"
          403: 
            description: "Forbidden - Recurso não autorizado"
            schema: 
              $ref: "#/definitions/Errors"
          404: 
            description: "Not Found - Recurso não encontrado"
            schema: 
              $ref: "#/definitions/Errors"
          417: 
            description: "Expectation Failed - Falha de validação dos dados"
            schema: 
              $ref: "#/definitions/Errors"
          500: 
            description: "Internal Server Error - Algo não funcionou conforme esperado"
            schema: 
              $ref: "#/definitions/Errors"
          504: 
            description: "Timeout Gateway - Resposta ultrapassou o tempo limite"
            schema: 
              $ref: "#/definitions/Errors"
        x-resource-name: "/sms/status"
        x-destination: "https://api-rest.zenvia360.com.br/services/get-sms-status"
        x-timeout: "10"
        x-api-broken: false
        x-interceptors: 
          21: 
            x-interceptor-position: 1
            x-interceptor-type: "CUSTOM"
            x-interceptor-content: "{\"id\":1,\"name\":\"Releases notes\",\"script\":\"{\\n    //Gerar descrição das revisões\\n}\\n\",\"abort\":false,\"debug\":false,\"visibility\":{\"id\":43,\"visibilityType\":\"ORGANIZATION\",\"owner\":{\"id\":11,\"name\":\"Jansen Rodrigues Carvalho\",\"email\":\"jansen.carvalho@sensedia.com\",\"login\":\"jansen.carvalho@sensedia.com\",\"roles\":[{\"id\":-1,\"name\":\"Super Admin\",\"description\":\"Super users are able to do anything with the system features. Use it wisely.\",\"permissions\":[{\"id\":206,\"permission\":\"DASHBOARD\",\"type\":\"VIEW\"},{\"id\":207,\"permission\":\"ANALYTICS\",\"type\":\"VIEW\"},{\"id\":208,\"permission\":\"APIS_HEALTH\",\"type\":\"VIEW\"},{\"id\":209,\"permission\":\"APIS\",\"type\":\"VIEW\"},{\"id\":211,\"permission\":\"NOTIFICATIONS\",\"type\":\"VIEW\"},{\"id\":212,\"permission\":\"PLANS\",\"type\":\"VIEW\"},{\"id\":213,\"permission\":\"APPS\",\"type\":\"VIEW\"},{\"id\":214,\"permission\":\"ACCESS_TOKENS\",\"type\":\"VIEW\"},{\"id\":215,\"permission\":\"SECRETS\",\"type\":\"VIEW\"},{\"id\":216,\"permission\":\"DEVELOPERS\",\"type\":\"VIEW\"},{\"id\":217,\"permission\":\"TRACE\",\"type\":\"VIEW\"},{\"id\":218,\"permission\":\"ENVIRONMENTS\",\"type\":\"VIEW\"},{\"id\":219,\"permission\":\"CALLBACKS\",\"type\":\"VIEW\"},{\"id\":220,\"permission\":\"HEALTH_CHECKS\",\"type\":\"VIEW\"},{\"id\":221,\"permission\":\"USERS\",\"type\":\"VIEW\"},{\"id\":222,\"permission\":\"ROLES\",\"type\":\"VIEW\"},{\"id\":223,\"permission\":\"TEAMS\",\"type\":\"VIEW\"},{\"id\":224,\"permission\":\"AUDIT\",\"type\":\"VIEW\"},{\"id\":225,\"permission\":\"OAUTH\",\"type\":\"VIEW\"},{\"id\":226,\"permission\":\"LDAP\",\"type\":\"VIEW\"},{\"id\":227,\"permission\":\"ORGANIZATIONS\",\"type\":\"VIEW\"},{\"id\":228,\"permission\":\"TRACE_DECRYPT\",\"type\":\"VIEW\"},{\"id\":229,\"permission\":\"MFA\",\"type\":\"VIEW\"},{\"id\":230,\"permission\":\"CERTIFICATE\",\"type\":\"VIEW\"},{\"id\":231,\"permission\":\"ALERT\",\"type\":\"VIEW\"},{\"id\":232,\"permission\":\"MAIL_SETTINGS\",\"type\":\"VIEW\"},{\"id\":233,\"permission\":\"ANALYTICS\",\"type\":\"EDIT\"},{\"id\":234,\"permission\":\"APIS_HEALTH\",\"type\":\"EDIT\"},{\"id\":235,\"permission\":\"APIS\",\"type\":\"EDIT\"},{\"id\":237,\"permission\":\"NOTIFICATIONS\",\"type\":\"EDIT\"},{\"id\":238,\"permission\":\"PLANS\",\"type\":\"EDIT\"},{\"id\":239,\"permission\":\"APPS\",\"type\":\"EDIT\"},{\"id\":240,\"permission\":\"ACCESS_TOKENS\",\"type\":\"EDIT\"},{\"id\":241,\"permission\":\"SECRETS\",\"type\":\"EDIT\"},{\"id\":242,\"permission\":\"DEVELOPERS\",\"type\":\"EDIT\"},{\"id\":243,\"permission\":\"TRACE\",\"type\":\"EDIT\"},{\"id\":244,\"permission\":\"ENVIRONMENTS\",\"type\":\"EDIT\"},{\"id\":245,\"permission\":\"CALLBACKS\",\"type\":\"EDIT\"},{\"id\":246,\"permission\":\"HEALTH_CHECKS\",\"type\":\"EDIT\"},{\"id\":247,\"permission\":\"USERS\",\"type\":\"EDIT\"},{\"id\":248,\"permission\":\"ROLES\",\"type\":\"EDIT\"},{\"id\":249,\"permission\":\"TEAMS\",\"type\":\"EDIT\"},{\"id\":250,\"permission\":\"AUDIT\",\"type\":\"EDIT\"},{\"id\":251,\"permission\":\"OAUTH\",\"type\":\"EDIT\"},{\"id\":252,\"permission\":\"LDAP\",\"type\":\"EDIT\"},{\"id\":253,\"permission\":\"ORGANIZATIONS\",\"type\":\"EDIT\"},{\"id\":254,\"permission\":\"TRACE_DECRYPT\",\"type\":\"EDIT\"},{\"id\":255,\"permission\":\"MFA\",\"type\":\"EDIT\"},{\"id\":256,\"permission\":\"CERTIFICATE\",\"type\":\"EDIT\"},{\"id\":257,\"permission\":\"ALERT\",\"type\":\"EDIT\"},{\"id\":258,\"permission\":\"MAIL_SETTINGS\",\"type\":\"EDIT\"},{\"id\":261,\"permission\":\"DATA_OBFUSCATION\",\"type\":\"EDIT\"},{\"id\":262,\"permission\":\"CACHE_CONTROL\",\"type\":\"VIEW\"},{\"id\":263,\"permission\":\"CACHE_CONTROL\",\"type\":\"EDIT\"},{\"id\":264,\"permission\":\"ATTRIBUTES\",\"type\":\"EDIT\"},{\"id\":265,\"permission\":\"ATTRIBUTES\",\"type\":\"VIEW\"},{\"id\":270,\"permission\":\"WORKFLOW\",\"type\":\"EDIT\"},{\"id\":271,\"permission\":\"WORKFLOW\",\"type\":\"VIEW\"},{\"id\":276,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"EDIT\"},{\"id\":277,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"VIEW\"},{\"id\":285,\"permission\":\"API_CONNECTORS\",\"type\":\"VIEW\"},{\"id\":286,\"permission\":\"API_CONNECTORS\",\"type\":\"EDIT\"},{\"id\":289,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"VIEW\"},{\"id\":290,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"EDIT\"},{\"id\":293,\"permission\":\"EVENTS_HUB\",\"type\":\"VIEW\"},{\"id\":294,\"permission\":\"EVENTS_HUB\",\"type\":\"EDIT\"},{\"id\":298,\"permission\":\"OPEN_BANKING\",\"type\":\"VIEW\"},{\"id\":299,\"permission\":\"OPEN_BANKING\",\"type\":\"EDIT\"},{\"id\":302,\"permission\":\"INTEGRATIONS\",\"type\":\"VIEW\"},{\"id\":303,\"permission\":\"INTEGRATIONS\",\"type\":\"EDIT\"}]}],\"teams\":[{\"id\":1,\"name\":\"Sensedia team (developer)\",\"description\":null,\"creationDate\":null,\"users\":[],\"usersCount\":11}],\"hasAllPermissions\":false,\"userType\":\"DATABASE\",\"traceEnvironments\":[],\"mfaSecret\":true,\"loginAttempts\":0,\"status\":\"ACTIVE\",\"lastLogin\":1688648448000},\"users\":[]},\"tags\":[\"custom\"],\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
            x-interceptor-custom-interceptor-id: 1
          22: 
            x-interceptor-position: 2
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false,\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          23: 
            x-interceptor-position: 3
            x-interceptor-type: "RATE_LIMIT"
            x-interceptor-content: "{\"quota\":50,\"interval\":\"MINUTE\",\"limitBy\":\"TOTAL_CALLS\",\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          24: 
            x-interceptor-position: 4
            x-interceptor-type: "ACCESS_TOKEN_VALIDATION"
            x-interceptor-content: "{\"responseContentType\":\"APPLICATION_JSON\",\"location\":\"HEADER\",\"name\":\"Authorization\",\"grantTypes\":[\"CLIENT_CREDENTIALS\"],\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          25: 
            x-interceptor-position: 5
            x-interceptor-type: "CLIENT_ID_VALIDATION"
            x-interceptor-content: "{\"responseContentType\":\"APPLICATION_JSON\",\"location\":\"HEADER\",\"name\":\"client_id\",\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          26: 
            x-interceptor-position: 6
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false,\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          27: 
            x-interceptor-position: 7
            x-interceptor-type: "HTTP_METHOD"
            x-interceptor-content: "{\"method\":\"GET\",\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          28: 
            x-interceptor-position: 8
            x-interceptor-type: "HEADER"
            x-interceptor-content: "{\"headerList\":[{\"name\":\"Authorization\",\"tokenType\":\"CUSTOM\",\"attribute\":\"Basic dHJhY2tzYWxlLm1hcml0aW1hOnk2YVdSTzI1RlI=\"},{\"name\":\"Content-Type\",\"tokenType\":\"CUSTOM\",\"attribute\":\"text/plain\"},{\"name\":\"Accept\",\"tokenType\":\"CUSTOM\",\"attribute\":\"application/json\"}],\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          29: 
            x-interceptor-position: 9
            x-interceptor-type: "CUSTOM"
            x-interceptor-content: "{\"id\":8,\"name\":\"Set Destination\",\"script\":\"{\\n    \\n    var json = JSON.parse( $call.request.getBody().getString( \\\"utf-8\\\" ) );\\n    \\n    if ( json['id'] != null ) {\\n        \\n        var newURL = $call.destinationUri.toString() + '/' + json['id'];\\n        \\n        $call.setDestinationUri(new java.net.URI(newURL));\\n    }\\n\\n}\",\"abort\":true,\"debug\":true,\"visibility\":{\"id\":328,\"visibilityType\":\"ORGANIZATION\",\"owner\":{\"id\":156,\"name\":\"Raphael Santos\",\"email\":\"raphael.santos@sensedia.com\",\"login\":\"raphael.santos@sensedia.com\",\"roles\":[{\"id\":6,\"name\":\"Admin\",\"description\":\"Admins are able to do anything, except see users tokens without mask. Use it wisely.\",\"permissions\":[{\"id\":1614,\"permission\":\"APPS\",\"type\":\"EDIT\"},{\"id\":1615,\"permission\":\"ROLES\",\"type\":\"EDIT\"},{\"id\":1616,\"permission\":\"ROLES\",\"type\":\"VIEW\"},{\"id\":1617,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"EDIT\"},{\"id\":1618,\"permission\":\"API_CONNECTORS\",\"type\":\"VIEW\"},{\"id\":1619,\"permission\":\"USERS\",\"type\":\"EDIT\"},{\"id\":1620,\"permission\":\"AUDIT\",\"type\":\"VIEW\"},{\"id\":1621,\"permission\":\"TEAMS\",\"type\":\"EDIT\"},{\"id\":1622,\"permission\":\"TEAMS\",\"type\":\"VIEW\"},{\"id\":1623,\"permission\":\"INTEGRATIONS\",\"type\":\"EDIT\"},{\"id\":1624,\"permission\":\"OAUTH\",\"type\":\"VIEW\"},{\"id\":1625,\"permission\":\"LDAP\",\"type\":\"EDIT\"},{\"id\":1626,\"permission\":\"EVENTS_HUB\",\"type\":\"VIEW\"},{\"id\":1627,\"permission\":\"INTEGRATIONS\",\"type\":\"VIEW\"},{\"id\":1628,\"permission\":\"ACCESS_TOKENS\",\"type\":\"EDIT\"},{\"id\":1629,\"permission\":\"EVENTS_HUB\",\"type\":\"EDIT\"},{\"id\":1630,\"permission\":\"CALLBACKS\",\"type\":\"VIEW\"},{\"id\":1631,\"permission\":\"APIS_HEALTH\",\"type\":\"EDIT\"},{\"id\":1632,\"permission\":\"WORKFLOW\",\"type\":\"EDIT\"},{\"id\":1633,\"permission\":\"ATTRIBUTES\",\"type\":\"VIEW\"},{\"id\":1634,\"permission\":\"SECRETS\",\"type\":\"EDIT\"},{\"id\":1635,\"permission\":\"AUDIT\",\"type\":\"EDIT\"},{\"id\":1636,\"permission\":\"APPS\",\"type\":\"VIEW\"},{\"id\":1637,\"permission\":\"ENVIRONMENTS\",\"type\":\"EDIT\"},{\"id\":1638,\"permission\":\"USERS\",\"type\":\"VIEW\"},{\"id\":1639,\"permission\":\"ANALYTICS\",\"type\":\"VIEW\"},{\"id\":1640,\"permission\":\"APIS\",\"type\":\"VIEW\"},{\"id\":1641,\"permission\":\"CERTIFICATE\",\"type\":\"EDIT\"},{\"id\":1642,\"permission\":\"LDAP\",\"type\":\"VIEW\"},{\"id\":1643,\"permission\":\"ANALYTICS\",\"type\":\"EDIT\"},{\"id\":1644,\"permission\":\"ALERT\",\"type\":\"VIEW\"},{\"id\":1645,\"permission\":\"TRACE\",\"type\":\"VIEW\"},{\"id\":1646,\"permission\":\"HEALTH_CHECKS\",\"type\":\"EDIT\"},{\"id\":1647,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"EDIT\"},{\"id\":1648,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"VIEW\"},{\"id\":1649,\"permission\":\"ACCESS_TOKENS\",\"type\":\"VIEW\"},{\"id\":1650,\"permission\":\"CACHE_CONTROL\",\"type\":\"VIEW\"},{\"id\":1651,\"permission\":\"NOTIFICATIONS\",\"type\":\"EDIT\"},{\"id\":1652,\"permission\":\"HEALTH_CHECKS\",\"type\":\"VIEW\"},{\"id\":1653,\"permission\":\"CALLBACKS\",\"type\":\"EDIT\"},{\"id\":1654,\"permission\":\"OPEN_BANKING\",\"type\":\"VIEW\"},{\"id\":1655,\"permission\":\"TRACE_DECRYPT\",\"type\":\"VIEW\"},{\"id\":1656,\"permission\":\"OPEN_BANKING\",\"type\":\"EDIT\"},{\"id\":1657,\"permission\":\"APIS\",\"type\":\"EDIT\"},{\"id\":1658,\"permission\":\"DASHBOARD\",\"type\":\"VIEW\"},{\"id\":1659,\"permission\":\"CACHE_CONTROL\",\"type\":\"EDIT\"},{\"id\":1660,\"permission\":\"PLANS\",\"type\":\"EDIT\"},{\"id\":1661,\"permission\":\"ORGANIZATIONS\",\"type\":\"VIEW\"},{\"id\":1662,\"permission\":\"PLANS\",\"type\":\"VIEW\"},{\"id\":1663,\"permission\":\"ENVIRONMENTS\",\"type\":\"VIEW\"},{\"id\":1664,\"permission\":\"NOTIFICATIONS\",\"type\":\"VIEW\"},{\"id\":1665,\"permission\":\"DEVELOPERS\",\"type\":\"VIEW\"},{\"id\":1666,\"permission\":\"ALERT\",\"type\":\"EDIT\"},{\"id\":1667,\"permission\":\"WORKFLOW\",\"type\":\"VIEW\"},{\"id\":1668,\"permission\":\"CERTIFICATE\",\"type\":\"VIEW\"},{\"id\":1669,\"permission\":\"API_CONNECTORS\",\"type\":\"EDIT\"},{\"id\":1670,\"permission\":\"OAUTH\",\"type\":\"EDIT\"},{\"id\":1671,\"permission\":\"APIS_HEALTH\",\"type\":\"VIEW\"},{\"id\":1672,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"VIEW\"},{\"id\":1673,\"permission\":\"ATTRIBUTES\",\"type\":\"EDIT\"}]},{\"id\":11,\"name\":\"AdmSensedia\",\"description\":null,\"permissions\":[{\"id\":1377,\"permission\":\"PLANS\",\"type\":\"VIEW\"},{\"id\":1378,\"permission\":\"DASHBOARD\",\"type\":\"VIEW\"},{\"id\":1379,\"permission\":\"ACCESS_TOKENS\",\"type\":\"EDIT\"},{\"id\":1380,\"permission\":\"USERS\",\"type\":\"VIEW\"},{\"id\":1381,\"permission\":\"ROLES\",\"type\":\"EDIT\"},{\"id\":1382,\"permission\":\"AUDIT\",\"type\":\"VIEW\"},{\"id\":1383,\"permission\":\"ORGANIZATIONS\",\"type\":\"EDIT\"},{\"id\":1384,\"permission\":\"CACHE_CONTROL\",\"type\":\"VIEW\"},{\"id\":1385,\"permission\":\"ANALYTICS\",\"type\":\"VIEW\"},{\"id\":1386,\"permission\":\"DATA_OBFUSCATION\",\"type\":\"VIEW\"},{\"id\":1387,\"permission\":\"TEAMS\",\"type\":\"EDIT\"},{\"id\":1388,\"permission\":\"OAUTH\",\"type\":\"VIEW\"},{\"id\":1389,\"permission\":\"TRACE_DECRYPT\",\"type\":\"VIEW\"},{\"id\":1390,\"permission\":\"OPEN_BANKING\",\"type\":\"EDIT\"},{\"id\":1391,\"permission\":\"ALERT\",\"type\":\"VIEW\"},{\"id\":1392,\"permission\":\"APIS_HEALTH\",\"type\":\"EDIT\"},{\"id\":1393,\"permission\":\"TRACE\",\"type\":\"VIEW\"},{\"id\":1394,\"permission\":\"NOTIFICATIONS\",\"type\":\"VIEW\"},{\"id\":1395,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"VIEW\"},{\"id\":1396,\"permission\":\"CALLBACKS\",\"type\":\"EDIT\"},{\"id\":1397,\"permission\":\"SECRETS\",\"type\":\"VIEW\"},{\"id\":1398,\"permission\":\"TEAMS\",\"type\":\"VIEW\"},{\"id\":1399,\"permission\":\"LDAP\",\"type\":\"VIEW\"},{\"id\":1400,\"permission\":\"APIS\",\"type\":\"VIEW\"},{\"id\":1401,\"permission\":\"EVENTS_HUB\",\"type\":\"VIEW\"},{\"id\":1402,\"permission\":\"AUDIT\",\"type\":\"EDIT\"},{\"id\":1403,\"permission\":\"LDAP\",\"type\":\"EDIT\"},{\"id\":1404,\"permission\":\"DEVELOPERS\",\"type\":\"VIEW\"},{\"id\":1405,\"permission\":\"CALLBACKS\",\"type\":\"VIEW\"},{\"id\":1406,\"permission\":\"APIS_HEALTH\",\"type\":\"VIEW\"},{\"id\":1407,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"EDIT\"},{\"id\":1408,\"permission\":\"ENVIRONMENTS\",\"type\":\"EDIT\"},{\"id\":1409,\"permission\":\"EVENTS_HUB\",\"type\":\"EDIT\"},{\"id\":1410,\"permission\":\"INTEGRATIONS\",\"type\":\"EDIT\"},{\"id\":1411,\"permission\":\"HEALTH_CHECKS\",\"type\":\"VIEW\"},{\"id\":1412,\"permission\":\"ALERT\",\"type\":\"EDIT\"},{\"id\":1413,\"permission\":\"NOTIFICATIONS\",\"type\":\"EDIT\"},{\"id\":1414,\"permission\":\"HEALTH_CHECKS\",\"type\":\"EDIT\"},{\"id\":1415,\"permission\":\"API_CONNECTORS\",\"type\":\"VIEW\"},{\"id\":1416,\"permission\":\"USERS\",\"type\":\"EDIT\"},{\"id\":1417,\"permission\":\"CERTIFICATE\",\"type\":\"EDIT\"},{\"id\":1418,\"permission\":\"ROLES\",\"type\":\"VIEW\"},{\"id\":1419,\"permission\":\"ANALYTICS\",\"type\":\"EDIT\"},{\"id\":1420,\"permission\":\"ACCESS_TOKENS\",\"type\":\"VIEW\"},{\"id\":1421,\"permission\":\"OAUTH\",\"type\":\"EDIT\"},{\"id\":1422,\"permission\":\"APPS\",\"type\":\"VIEW\"},{\"id\":1423,\"permission\":\"DATA_OBFUSCATION\",\"type\":\"EDIT\"},{\"id\":1424,\"permission\":\"ENVIRONMENTS\",\"type\":\"VIEW\"},{\"id\":1425,\"permission\":\"OPEN_BANKING\",\"type\":\"VIEW\"},{\"id\":1426,\"permission\":\"API_CONNECTORS\",\"type\":\"EDIT\"},{\"id\":1427,\"permission\":\"CERTIFICATE\",\"type\":\"VIEW\"},{\"id\":1428,\"permission\":\"ORGANIZATIONS\",\"type\":\"VIEW\"},{\"id\":1429,\"permission\":\"MAIL_SETTINGS\",\"type\":\"EDIT\"},{\"id\":1430,\"permission\":\"APIS\",\"type\":\"EDIT\"},{\"id\":1431,\"permission\":\"PLANS\",\"type\":\"EDIT\"},{\"id\":1432,\"permission\":\"INTEGRATIONS\",\"type\":\"VIEW\"},{\"id\":1433,\"permission\":\"MAIL_SETTINGS\",\"type\":\"VIEW\"},{\"id\":1434,\"permission\":\"CACHE_CONTROL\",\"type\":\"EDIT\"},{\"id\":1435,\"permission\":\"APPS\",\"type\":\"EDIT\"},{\"id\":1436,\"permission\":\"MFA\",\"type\":\"EDIT\"}]}],\"teams\":[{\"id\":2,\"name\":\"Arquitetura\",\"description\":null,\"creationDate\":null,\"users\":[],\"usersCount\":12}],\"hasAllPermissions\":false,\"userType\":\"DATABASE\",\"traceEnvironments\":[],\"mfaSecret\":true,\"loginAttempts\":0,\"status\":\"ACTIVE\",\"lastLogin\":1678208569000},\"users\":[]},\"tags\":[\"custom\"],\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
            x-interceptor-custom-interceptor-id: 8
          30: 
            x-interceptor-position: 10
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false,\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "SECOND"
            x-interceptor-status: "REFERENCE"
      parameters: []
    /email/send: 
      post: 
        tags: 
          - "Email"
        summary: "Envio de e-mail por SMTP"
        description: "Envio de e-mail por SMTP"
        parameters: 
          - 
            in: "body"
            name: "body"
            description: "Envio de e-mail por SMTP"
            required: true
            schema: 
              $ref: "#/definitions/SendEmailRequest"
        responses: 
          200: 
            description: "OK - Requisição com sucesso"
            schema: 
              $ref: "#/definitions/SendSmsResponse"
          400: 
            description: "Bad Request - Parametros inválidos ou ausentes"
            schema: 
              $ref: "#/definitions/Errors"
          401: 
            description: "Not Authorized - Não autorizado"
            schema: 
              $ref: "#/definitions/Errors"
          403: 
            description: "Forbidden - Recurso não autorizado"
            schema: 
              $ref: "#/definitions/Errors"
          404: 
            description: "Not Found - Recurso não encontrado"
            schema: 
              $ref: "#/definitions/Errors"
          417: 
            description: "Expectation Failed - Falha de validação dos dados"
            schema: 
              $ref: "#/definitions/Errors"
          500: 
            description: "Internal Server Error - Algo não funcionou conforme esperado"
            schema: 
              $ref: "#/definitions/Errors"
          504: 
            description: "Timeout Gateway - Resposta ultrapassou o tempo limite"
            schema: 
              $ref: "#/definitions/Errors"
        x-resource-name: "/email/send"
        x-destination: "$url_backend_broker/EmailWS"
        x-timeout: "30"
        x-api-broken: false
        x-interceptors: 
          9: 
            x-interceptor-position: 1
            x-interceptor-type: "CUSTOM"
            x-interceptor-content: "{\"id\":1,\"name\":\"Releases notes\",\"script\":\"{\\n    //Gerar descrição das revisões\\n}\\n\",\"abort\":false,\"debug\":false,\"visibility\":{\"id\":43,\"visibilityType\":\"ORGANIZATION\",\"owner\":{\"id\":11,\"name\":\"Jansen Rodrigues Carvalho\",\"email\":\"jansen.carvalho@sensedia.com\",\"login\":\"jansen.carvalho@sensedia.com\",\"roles\":[{\"id\":-1,\"name\":\"Super Admin\",\"description\":\"Super users are able to do anything with the system features. Use it wisely.\",\"permissions\":[{\"id\":206,\"permission\":\"DASHBOARD\",\"type\":\"VIEW\"},{\"id\":207,\"permission\":\"ANALYTICS\",\"type\":\"VIEW\"},{\"id\":208,\"permission\":\"APIS_HEALTH\",\"type\":\"VIEW\"},{\"id\":209,\"permission\":\"APIS\",\"type\":\"VIEW\"},{\"id\":211,\"permission\":\"NOTIFICATIONS\",\"type\":\"VIEW\"},{\"id\":212,\"permission\":\"PLANS\",\"type\":\"VIEW\"},{\"id\":213,\"permission\":\"APPS\",\"type\":\"VIEW\"},{\"id\":214,\"permission\":\"ACCESS_TOKENS\",\"type\":\"VIEW\"},{\"id\":215,\"permission\":\"SECRETS\",\"type\":\"VIEW\"},{\"id\":216,\"permission\":\"DEVELOPERS\",\"type\":\"VIEW\"},{\"id\":217,\"permission\":\"TRACE\",\"type\":\"VIEW\"},{\"id\":218,\"permission\":\"ENVIRONMENTS\",\"type\":\"VIEW\"},{\"id\":219,\"permission\":\"CALLBACKS\",\"type\":\"VIEW\"},{\"id\":220,\"permission\":\"HEALTH_CHECKS\",\"type\":\"VIEW\"},{\"id\":221,\"permission\":\"USERS\",\"type\":\"VIEW\"},{\"id\":222,\"permission\":\"ROLES\",\"type\":\"VIEW\"},{\"id\":223,\"permission\":\"TEAMS\",\"type\":\"VIEW\"},{\"id\":224,\"permission\":\"AUDIT\",\"type\":\"VIEW\"},{\"id\":225,\"permission\":\"OAUTH\",\"type\":\"VIEW\"},{\"id\":226,\"permission\":\"LDAP\",\"type\":\"VIEW\"},{\"id\":227,\"permission\":\"ORGANIZATIONS\",\"type\":\"VIEW\"},{\"id\":228,\"permission\":\"TRACE_DECRYPT\",\"type\":\"VIEW\"},{\"id\":229,\"permission\":\"MFA\",\"type\":\"VIEW\"},{\"id\":230,\"permission\":\"CERTIFICATE\",\"type\":\"VIEW\"},{\"id\":231,\"permission\":\"ALERT\",\"type\":\"VIEW\"},{\"id\":232,\"permission\":\"MAIL_SETTINGS\",\"type\":\"VIEW\"},{\"id\":233,\"permission\":\"ANALYTICS\",\"type\":\"EDIT\"},{\"id\":234,\"permission\":\"APIS_HEALTH\",\"type\":\"EDIT\"},{\"id\":235,\"permission\":\"APIS\",\"type\":\"EDIT\"},{\"id\":237,\"permission\":\"NOTIFICATIONS\",\"type\":\"EDIT\"},{\"id\":238,\"permission\":\"PLANS\",\"type\":\"EDIT\"},{\"id\":239,\"permission\":\"APPS\",\"type\":\"EDIT\"},{\"id\":240,\"permission\":\"ACCESS_TOKENS\",\"type\":\"EDIT\"},{\"id\":241,\"permission\":\"SECRETS\",\"type\":\"EDIT\"},{\"id\":242,\"permission\":\"DEVELOPERS\",\"type\":\"EDIT\"},{\"id\":243,\"permission\":\"TRACE\",\"type\":\"EDIT\"},{\"id\":244,\"permission\":\"ENVIRONMENTS\",\"type\":\"EDIT\"},{\"id\":245,\"permission\":\"CALLBACKS\",\"type\":\"EDIT\"},{\"id\":246,\"permission\":\"HEALTH_CHECKS\",\"type\":\"EDIT\"},{\"id\":247,\"permission\":\"USERS\",\"type\":\"EDIT\"},{\"id\":248,\"permission\":\"ROLES\",\"type\":\"EDIT\"},{\"id\":249,\"permission\":\"TEAMS\",\"type\":\"EDIT\"},{\"id\":250,\"permission\":\"AUDIT\",\"type\":\"EDIT\"},{\"id\":251,\"permission\":\"OAUTH\",\"type\":\"EDIT\"},{\"id\":252,\"permission\":\"LDAP\",\"type\":\"EDIT\"},{\"id\":253,\"permission\":\"ORGANIZATIONS\",\"type\":\"EDIT\"},{\"id\":254,\"permission\":\"TRACE_DECRYPT\",\"type\":\"EDIT\"},{\"id\":255,\"permission\":\"MFA\",\"type\":\"EDIT\"},{\"id\":256,\"permission\":\"CERTIFICATE\",\"type\":\"EDIT\"},{\"id\":257,\"permission\":\"ALERT\",\"type\":\"EDIT\"},{\"id\":258,\"permission\":\"MAIL_SETTINGS\",\"type\":\"EDIT\"},{\"id\":261,\"permission\":\"DATA_OBFUSCATION\",\"type\":\"EDIT\"},{\"id\":262,\"permission\":\"CACHE_CONTROL\",\"type\":\"VIEW\"},{\"id\":263,\"permission\":\"CACHE_CONTROL\",\"type\":\"EDIT\"},{\"id\":264,\"permission\":\"ATTRIBUTES\",\"type\":\"EDIT\"},{\"id\":265,\"permission\":\"ATTRIBUTES\",\"type\":\"VIEW\"},{\"id\":270,\"permission\":\"WORKFLOW\",\"type\":\"EDIT\"},{\"id\":271,\"permission\":\"WORKFLOW\",\"type\":\"VIEW\"},{\"id\":276,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"EDIT\"},{\"id\":277,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"VIEW\"},{\"id\":285,\"permission\":\"API_CONNECTORS\",\"type\":\"VIEW\"},{\"id\":286,\"permission\":\"API_CONNECTORS\",\"type\":\"EDIT\"},{\"id\":289,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"VIEW\"},{\"id\":290,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"EDIT\"},{\"id\":293,\"permission\":\"EVENTS_HUB\",\"type\":\"VIEW\"},{\"id\":294,\"permission\":\"EVENTS_HUB\",\"type\":\"EDIT\"},{\"id\":298,\"permission\":\"OPEN_BANKING\",\"type\":\"VIEW\"},{\"id\":299,\"permission\":\"OPEN_BANKING\",\"type\":\"EDIT\"},{\"id\":302,\"permission\":\"INTEGRATIONS\",\"type\":\"VIEW\"},{\"id\":303,\"permission\":\"INTEGRATIONS\",\"type\":\"EDIT\"}]}],\"teams\":[{\"id\":1,\"name\":\"Sensedia team (developer)\",\"description\":null,\"creationDate\":null,\"users\":[],\"usersCount\":11}],\"hasAllPermissions\":false,\"userType\":\"DATABASE\",\"traceEnvironments\":[],\"mfaSecret\":true,\"loginAttempts\":0,\"status\":\"ACTIVE\",\"lastLogin\":1679076613000},\"users\":[]},\"tags\":[\"custom\"]}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
            x-interceptor-custom-interceptor-id: 1
          10: 
            x-interceptor-position: 2
            x-interceptor-type: "RATE_LIMIT"
            x-interceptor-content: "{\"quota\":\"250\",\"interval\":\"MINUTE\"}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          11: 
            x-interceptor-position: 3
            x-interceptor-type: "ACCESS_TOKEN_VALIDATION"
            x-interceptor-content: "{\"responseContentType\":\"APPLICATION_JSON\",\"location\":\"HEADER\",\"name\":\"Authorization\",\"grantTypes\":[\"CLIENT_CREDENTIALS\"]}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          12: 
            x-interceptor-position: 4
            x-interceptor-type: "CLIENT_ID_VALIDATION"
            x-interceptor-content: "{\"responseContentType\":\"APPLICATION_JSON\",\"location\":\"HEADER\",\"name\":\"client_id\"}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          13: 
            x-interceptor-position: 5
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          14: 
            x-interceptor-position: 6
            x-interceptor-type: "XSL_TRANSFORMATION"
            x-interceptor-content: "{\"xls\":null,\"xsl\":\"<xsl:stylesheet xmlns:xsl=\\\"http://www.w3.org/1999/XSL/Transform\\\"\\n                xmlns:soapenv=\\\"http://schemas.xmlsoap.org/soap/envelope/\\\"\\n                xmlns:ema=\\\"http://www.maritima.com.br/email\\\"\\n                xmlns:xs=\\\"http://www.w3.org/2001/XMLSchema\\\"\\n                xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\"\\n                exclude-result-prefixes=\\\"xs xsi xsl\\\"\\n                version=\\\"2.0\\\">\\n   <xsl:output encoding=\\\"UTF-8\\\" indent=\\\"yes\\\" method=\\\"xml\\\"/>\\n   <xsl:template match=\\\"/\\\">\\n      <soapenv:Envelope>\\n         <soapenv:Header/>\\n         <soapenv:Body>\\n            <xsl:for-each select=\\\"sendEmail\\\">\\n               <ema:SendEmail>\\n                  <xsl:for-each select=\\\"from\\\">\\n                     <From>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </From>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"to\\\">\\n                     <To>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </To>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"cc\\\">\\n                     <Cc>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </Cc>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"bcc\\\">\\n                     <Bcc>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </Bcc>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"replyTo\\\">\\n                     <ReplyTo>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </ReplyTo>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"subject\\\">\\n                     <Subject>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </Subject>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"body\\\">\\n                     <Body>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </Body>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"nameFile1\\\">\\n                     <NameFile_1>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </NameFile_1>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"attachB641\\\">\\n                     <AttachB64_1>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </AttachB64_1>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"nameFile2\\\">\\n                     <NameFile_2>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </NameFile_2>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"attachB642\\\">\\n                     <AttachB64_2>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </AttachB64_2>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"nameFile3\\\">\\n                     <NameFile_3>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </NameFile_3>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"attachB643\\\">\\n                     <AttachB64_3>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </AttachB64_3>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"nameFile4\\\">\\n                     <NameFile_4>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </NameFile_4>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"attachB644\\\">\\n                     <AttachB64_4>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </AttachB64_4>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"nameFile5\\\">\\n                     <NameFile_5>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </NameFile_5>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"attachB645\\\">\\n                     <AttachB64_5>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </AttachB64_5>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"nameFile6\\\">\\n                     <NameFile_6>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </NameFile_6>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"attachB646\\\">\\n                     <AttachB64_6>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </AttachB64_6>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"nameFile7\\\">\\n                     <NameFile_7>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </NameFile_7>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"attachB647\\\">\\n                     <AttachB64_7>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </AttachB64_7>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"nameFile8\\\">\\n                     <NameFile_8>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </NameFile_8>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"attachB648\\\">\\n                     <AttachB64_8>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </AttachB64_8>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"nameFile9\\\">\\n                     <NameFile_9>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </NameFile_9>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"attachB649\\\">\\n                     <AttachB64_9>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </AttachB64_9>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"nameFile10\\\">\\n                     <NameFile_10>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </NameFile_10>\\n                  </xsl:for-each>\\n                  <xsl:for-each select=\\\"attachB6410\\\">\\n                     <AttachB64_10>\\n                        <xsl:value-of select=\\\".\\\"/>\\n                     </AttachB64_10>\\n                  </xsl:for-each>\\n               </ema:SendEmail>\\n            </xsl:for-each>\\n         </soapenv:Body>\\n      </soapenv:Envelope>\\n   </xsl:template>\\n</xsl:stylesheet>\",\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          15: 
            x-interceptor-position: 7
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          16: 
            x-interceptor-position: 8
            x-interceptor-type: "HTTP_METHOD"
            x-interceptor-content: "{\"method\":\"POST\"}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          17: 
            x-interceptor-position: 9
            x-interceptor-type: "HEADER"
            x-interceptor-content: "{\"headerList\":[{\"name\":\"Content-Type\",\"tokenType\":\"CUSTOM\",\"attribute\":\"text/xml;charset=utf-8\"}]}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          18: 
            x-interceptor-position: 10
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false}"
            x-interceptor-execution-point: "SECOND"
            x-interceptor-status: "REFERENCE"
          19: 
            x-interceptor-position: 11
            x-interceptor-type: "XSL_TRANSFORMATION"
            x-interceptor-content: "{\"xls\":null,\"xsl\":\"<xsl:stylesheet xmlns:xsl=\\\"http://www.w3.org/1999/XSL/Transform\\\" version=\\\"2.0\\\">\\n<xsl:output encoding=\\\"UTF-8\\\" indent=\\\"yes\\\" media-type=\\\"application/json\\\" method=\\\"text\\\"/>\\n<xsl:template match=\\\"/\\\">\\n<xsl:if test=\\\"(count(*:Envelope/*:Body) gt 1)\\\">[</xsl:if>\\n<xsl:if test=\\\"(count(*:Envelope/*:Body) eq 0)\\\">\\\"\\\"</xsl:if>\\n<xsl:for-each select=\\\"*:Envelope/*:Body\\\">\\n<xsl:text>{</xsl:text>\\n   <xsl:text>}</xsl:text>\\n   <xsl:if test=\\\"./following-sibling::*\\\">\\n   <xsl:text></xsl:text>\\n   </xsl:if>\\n   </xsl:for-each>\\n   <xsl:if test=\\\"(count(*:Envelope/*:Body) gt 1)\\\">]</xsl:if>\\n</xsl:template>\\n</xsl:stylesheet>\"}"
            x-interceptor-execution-point: "SECOND"
            x-interceptor-status: "REFERENCE"
          20: 
            x-interceptor-position: 12
            x-interceptor-type: "HEADER"
            x-interceptor-content: "{\"headerList\":[{\"name\":\"Content-Type\",\"tokenType\":\"CUSTOM\",\"attribute\":\"application/json\"}]}"
            x-interceptor-execution-point: "SECOND"
            x-interceptor-status: "REFERENCE"
      parameters: []
    /email/bulk/send: 
      post: 
        tags: 
          - "Bulk Email"
        summary: "Envio em lote de e-mails"
        description: "Envio em lote de e-mails"
        parameters: 
          - 
            in: "body"
            name: "body"
            description: "O body da requisição HTTP desta operação."
            required: true
            schema: 
              $ref: "#/definitions/SendBulkEmailRequest"
        responses: 
          200: 
            description: "OK - Requisição com sucesso"
            schema: 
              $ref: "#/definitions/SendSmsResponse"
          400: 
            description: "Bad Request - Parametros inválidos ou ausentes"
            schema: 
              $ref: "#/definitions/Errors"
          401: 
            description: "Not Authorized - Não autorizado"
            schema: 
              $ref: "#/definitions/Errors"
          403: 
            description: "Forbidden - Recurso não autorizado"
            schema: 
              $ref: "#/definitions/Errors"
          404: 
            description: "Not Found - Recurso não encontrado"
            schema: 
              $ref: "#/definitions/Errors"
          417: 
            description: "Expectation Failed - Falha de validação dos dados"
            schema: 
              $ref: "#/definitions/Errors"
          500: 
            description: "Internal Server Error - Algo não funcionou conforme esperado"
            schema: 
              $ref: "#/definitions/Errors"
          504: 
            description: "Timeout Gateway - Resposta ultrapassou o tempo limite"
            schema: 
              $ref: "#/definitions/Errors"
        x-resource-name: "/email/bulk/send"
        x-destination: "https://mandrillapp.com/api/1.0/messages/send.json"
        x-timeout: "10"
        x-api-broken: false
        x-interceptors: 
          1: 
            x-interceptor-position: 1
            x-interceptor-type: "CUSTOM"
            x-interceptor-content: "{\"id\":1,\"name\":\"Releases notes\",\"script\":\"{\\n    //Gerar descrição das revisões\\n}\\n\",\"abort\":false,\"debug\":false,\"visibility\":{\"id\":43,\"visibilityType\":\"ORGANIZATION\",\"owner\":{\"id\":11,\"name\":\"Jansen Rodrigues Carvalho\",\"email\":\"jansen.carvalho@sensedia.com\",\"login\":\"jansen.carvalho@sensedia.com\",\"roles\":[{\"id\":-1,\"name\":\"Super Admin\",\"description\":\"Super users are able to do anything with the system features. Use it wisely.\",\"permissions\":[{\"id\":206,\"permission\":\"DASHBOARD\",\"type\":\"VIEW\"},{\"id\":207,\"permission\":\"ANALYTICS\",\"type\":\"VIEW\"},{\"id\":208,\"permission\":\"APIS_HEALTH\",\"type\":\"VIEW\"},{\"id\":209,\"permission\":\"APIS\",\"type\":\"VIEW\"},{\"id\":211,\"permission\":\"NOTIFICATIONS\",\"type\":\"VIEW\"},{\"id\":212,\"permission\":\"PLANS\",\"type\":\"VIEW\"},{\"id\":213,\"permission\":\"APPS\",\"type\":\"VIEW\"},{\"id\":214,\"permission\":\"ACCESS_TOKENS\",\"type\":\"VIEW\"},{\"id\":215,\"permission\":\"SECRETS\",\"type\":\"VIEW\"},{\"id\":216,\"permission\":\"DEVELOPERS\",\"type\":\"VIEW\"},{\"id\":217,\"permission\":\"TRACE\",\"type\":\"VIEW\"},{\"id\":218,\"permission\":\"ENVIRONMENTS\",\"type\":\"VIEW\"},{\"id\":219,\"permission\":\"CALLBACKS\",\"type\":\"VIEW\"},{\"id\":220,\"permission\":\"HEALTH_CHECKS\",\"type\":\"VIEW\"},{\"id\":221,\"permission\":\"USERS\",\"type\":\"VIEW\"},{\"id\":222,\"permission\":\"ROLES\",\"type\":\"VIEW\"},{\"id\":223,\"permission\":\"TEAMS\",\"type\":\"VIEW\"},{\"id\":224,\"permission\":\"AUDIT\",\"type\":\"VIEW\"},{\"id\":225,\"permission\":\"OAUTH\",\"type\":\"VIEW\"},{\"id\":226,\"permission\":\"LDAP\",\"type\":\"VIEW\"},{\"id\":227,\"permission\":\"ORGANIZATIONS\",\"type\":\"VIEW\"},{\"id\":228,\"permission\":\"TRACE_DECRYPT\",\"type\":\"VIEW\"},{\"id\":229,\"permission\":\"MFA\",\"type\":\"VIEW\"},{\"id\":230,\"permission\":\"CERTIFICATE\",\"type\":\"VIEW\"},{\"id\":231,\"permission\":\"ALERT\",\"type\":\"VIEW\"},{\"id\":232,\"permission\":\"MAIL_SETTINGS\",\"type\":\"VIEW\"},{\"id\":233,\"permission\":\"ANALYTICS\",\"type\":\"EDIT\"},{\"id\":234,\"permission\":\"APIS_HEALTH\",\"type\":\"EDIT\"},{\"id\":235,\"permission\":\"APIS\",\"type\":\"EDIT\"},{\"id\":237,\"permission\":\"NOTIFICATIONS\",\"type\":\"EDIT\"},{\"id\":238,\"permission\":\"PLANS\",\"type\":\"EDIT\"},{\"id\":239,\"permission\":\"APPS\",\"type\":\"EDIT\"},{\"id\":240,\"permission\":\"ACCESS_TOKENS\",\"type\":\"EDIT\"},{\"id\":241,\"permission\":\"SECRETS\",\"type\":\"EDIT\"},{\"id\":242,\"permission\":\"DEVELOPERS\",\"type\":\"EDIT\"},{\"id\":243,\"permission\":\"TRACE\",\"type\":\"EDIT\"},{\"id\":244,\"permission\":\"ENVIRONMENTS\",\"type\":\"EDIT\"},{\"id\":245,\"permission\":\"CALLBACKS\",\"type\":\"EDIT\"},{\"id\":246,\"permission\":\"HEALTH_CHECKS\",\"type\":\"EDIT\"},{\"id\":247,\"permission\":\"USERS\",\"type\":\"EDIT\"},{\"id\":248,\"permission\":\"ROLES\",\"type\":\"EDIT\"},{\"id\":249,\"permission\":\"TEAMS\",\"type\":\"EDIT\"},{\"id\":250,\"permission\":\"AUDIT\",\"type\":\"EDIT\"},{\"id\":251,\"permission\":\"OAUTH\",\"type\":\"EDIT\"},{\"id\":252,\"permission\":\"LDAP\",\"type\":\"EDIT\"},{\"id\":253,\"permission\":\"ORGANIZATIONS\",\"type\":\"EDIT\"},{\"id\":254,\"permission\":\"TRACE_DECRYPT\",\"type\":\"EDIT\"},{\"id\":255,\"permission\":\"MFA\",\"type\":\"EDIT\"},{\"id\":256,\"permission\":\"CERTIFICATE\",\"type\":\"EDIT\"},{\"id\":257,\"permission\":\"ALERT\",\"type\":\"EDIT\"},{\"id\":258,\"permission\":\"MAIL_SETTINGS\",\"type\":\"EDIT\"},{\"id\":261,\"permission\":\"DATA_OBFUSCATION\",\"type\":\"EDIT\"},{\"id\":262,\"permission\":\"CACHE_CONTROL\",\"type\":\"VIEW\"},{\"id\":263,\"permission\":\"CACHE_CONTROL\",\"type\":\"EDIT\"},{\"id\":264,\"permission\":\"ATTRIBUTES\",\"type\":\"EDIT\"},{\"id\":265,\"permission\":\"ATTRIBUTES\",\"type\":\"VIEW\"},{\"id\":270,\"permission\":\"WORKFLOW\",\"type\":\"EDIT\"},{\"id\":271,\"permission\":\"WORKFLOW\",\"type\":\"VIEW\"},{\"id\":276,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"EDIT\"},{\"id\":277,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"VIEW\"},{\"id\":285,\"permission\":\"API_CONNECTORS\",\"type\":\"VIEW\"},{\"id\":286,\"permission\":\"API_CONNECTORS\",\"type\":\"EDIT\"},{\"id\":289,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"VIEW\"},{\"id\":290,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"EDIT\"},{\"id\":293,\"permission\":\"EVENTS_HUB\",\"type\":\"VIEW\"},{\"id\":294,\"permission\":\"EVENTS_HUB\",\"type\":\"EDIT\"},{\"id\":298,\"permission\":\"OPEN_BANKING\",\"type\":\"VIEW\"},{\"id\":299,\"permission\":\"OPEN_BANKING\",\"type\":\"EDIT\"},{\"id\":302,\"permission\":\"INTEGRATIONS\",\"type\":\"VIEW\"},{\"id\":303,\"permission\":\"INTEGRATIONS\",\"type\":\"EDIT\"}]}],\"teams\":[{\"id\":1,\"name\":\"Sensedia team (developer)\",\"description\":null,\"creationDate\":null,\"users\":[],\"usersCount\":11}],\"hasAllPermissions\":false,\"userType\":\"DATABASE\",\"traceEnvironments\":[],\"mfaSecret\":true,\"loginAttempts\":0,\"status\":\"ACTIVE\",\"lastLogin\":1688648448000},\"users\":[]},\"tags\":[\"custom\"],\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
            x-interceptor-custom-interceptor-id: 1
          2: 
            x-interceptor-position: 2
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false,\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          3: 
            x-interceptor-position: 3
            x-interceptor-type: "RATE_LIMIT"
            x-interceptor-content: "{\"quota\":100,\"interval\":\"MINUTE\",\"limitBy\":\"TOTAL_CALLS\",\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          4: 
            x-interceptor-position: 4
            x-interceptor-type: "ACCESS_TOKEN_VALIDATION"
            x-interceptor-content: "{\"responseContentType\":\"APPLICATION_JSON\",\"location\":\"HEADER\",\"name\":\"Authorization\",\"grantTypes\":[\"CLIENT_CREDENTIALS\"],\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          5: 
            x-interceptor-position: 5
            x-interceptor-type: "CLIENT_ID_VALIDATION"
            x-interceptor-content: "{\"responseContentType\":\"APPLICATION_JSON\",\"location\":\"HEADER\",\"name\":\"client_id\",\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          6: 
            x-interceptor-position: 6
            x-interceptor-type: "CUSTOM"
            x-interceptor-content: "{\"id\":30,\"name\":\"Inserir campo em Body\",\"script\":\"try {\\r\\n\\r\\n    var json = JSON.parse( $call.request.getBody().getString( \\\"utf-8\\\" ) );\\r\\n    \\r\\n    $console.debug(\\\"key\\\", json.key);\\r\\n\\r\\n    if (json.key == null){\\r\\n        \\r\\n        json.key = $call.environmentVariables.get(\\\"USER_KEY\\\");\\r\\n        \\r\\n        $call.request.getBody().setString( $json.stringify(json), \\\"utf-8\\\" );\\r\\n    }\\r\\n\\r\\n} catch (e) {\\r\\n    $call.tracer.trace(e)\\r\\n}\\r\\n\",\"abort\":true,\"debug\":true,\"visibility\":{\"id\":454,\"visibilityType\":\"ORGANIZATION\",\"owner\":{\"id\":66,\"name\":\"Everaldo Martins\",\"email\":\"emleite@sompo.com.br\",\"login\":\"emleite@sompo.com.br\",\"roles\":[{\"id\":-1,\"name\":\"Super Admin\",\"description\":\"Super users are able to do anything with the system features. Use it wisely.\",\"permissions\":[{\"id\":206,\"permission\":\"DASHBOARD\",\"type\":\"VIEW\"},{\"id\":207,\"permission\":\"ANALYTICS\",\"type\":\"VIEW\"},{\"id\":208,\"permission\":\"APIS_HEALTH\",\"type\":\"VIEW\"},{\"id\":209,\"permission\":\"APIS\",\"type\":\"VIEW\"},{\"id\":211,\"permission\":\"NOTIFICATIONS\",\"type\":\"VIEW\"},{\"id\":212,\"permission\":\"PLANS\",\"type\":\"VIEW\"},{\"id\":213,\"permission\":\"APPS\",\"type\":\"VIEW\"},{\"id\":214,\"permission\":\"ACCESS_TOKENS\",\"type\":\"VIEW\"},{\"id\":215,\"permission\":\"SECRETS\",\"type\":\"VIEW\"},{\"id\":216,\"permission\":\"DEVELOPERS\",\"type\":\"VIEW\"},{\"id\":217,\"permission\":\"TRACE\",\"type\":\"VIEW\"},{\"id\":218,\"permission\":\"ENVIRONMENTS\",\"type\":\"VIEW\"},{\"id\":219,\"permission\":\"CALLBACKS\",\"type\":\"VIEW\"},{\"id\":220,\"permission\":\"HEALTH_CHECKS\",\"type\":\"VIEW\"},{\"id\":221,\"permission\":\"USERS\",\"type\":\"VIEW\"},{\"id\":222,\"permission\":\"ROLES\",\"type\":\"VIEW\"},{\"id\":223,\"permission\":\"TEAMS\",\"type\":\"VIEW\"},{\"id\":224,\"permission\":\"AUDIT\",\"type\":\"VIEW\"},{\"id\":225,\"permission\":\"OAUTH\",\"type\":\"VIEW\"},{\"id\":226,\"permission\":\"LDAP\",\"type\":\"VIEW\"},{\"id\":227,\"permission\":\"ORGANIZATIONS\",\"type\":\"VIEW\"},{\"id\":228,\"permission\":\"TRACE_DECRYPT\",\"type\":\"VIEW\"},{\"id\":229,\"permission\":\"MFA\",\"type\":\"VIEW\"},{\"id\":230,\"permission\":\"CERTIFICATE\",\"type\":\"VIEW\"},{\"id\":231,\"permission\":\"ALERT\",\"type\":\"VIEW\"},{\"id\":232,\"permission\":\"MAIL_SETTINGS\",\"type\":\"VIEW\"},{\"id\":233,\"permission\":\"ANALYTICS\",\"type\":\"EDIT\"},{\"id\":234,\"permission\":\"APIS_HEALTH\",\"type\":\"EDIT\"},{\"id\":235,\"permission\":\"APIS\",\"type\":\"EDIT\"},{\"id\":237,\"permission\":\"NOTIFICATIONS\",\"type\":\"EDIT\"},{\"id\":238,\"permission\":\"PLANS\",\"type\":\"EDIT\"},{\"id\":239,\"permission\":\"APPS\",\"type\":\"EDIT\"},{\"id\":240,\"permission\":\"ACCESS_TOKENS\",\"type\":\"EDIT\"},{\"id\":241,\"permission\":\"SECRETS\",\"type\":\"EDIT\"},{\"id\":242,\"permission\":\"DEVELOPERS\",\"type\":\"EDIT\"},{\"id\":243,\"permission\":\"TRACE\",\"type\":\"EDIT\"},{\"id\":244,\"permission\":\"ENVIRONMENTS\",\"type\":\"EDIT\"},{\"id\":245,\"permission\":\"CALLBACKS\",\"type\":\"EDIT\"},{\"id\":246,\"permission\":\"HEALTH_CHECKS\",\"type\":\"EDIT\"},{\"id\":247,\"permission\":\"USERS\",\"type\":\"EDIT\"},{\"id\":248,\"permission\":\"ROLES\",\"type\":\"EDIT\"},{\"id\":249,\"permission\":\"TEAMS\",\"type\":\"EDIT\"},{\"id\":250,\"permission\":\"AUDIT\",\"type\":\"EDIT\"},{\"id\":251,\"permission\":\"OAUTH\",\"type\":\"EDIT\"},{\"id\":252,\"permission\":\"LDAP\",\"type\":\"EDIT\"},{\"id\":253,\"permission\":\"ORGANIZATIONS\",\"type\":\"EDIT\"},{\"id\":254,\"permission\":\"TRACE_DECRYPT\",\"type\":\"EDIT\"},{\"id\":255,\"permission\":\"MFA\",\"type\":\"EDIT\"},{\"id\":256,\"permission\":\"CERTIFICATE\",\"type\":\"EDIT\"},{\"id\":257,\"permission\":\"ALERT\",\"type\":\"EDIT\"},{\"id\":258,\"permission\":\"MAIL_SETTINGS\",\"type\":\"EDIT\"},{\"id\":261,\"permission\":\"DATA_OBFUSCATION\",\"type\":\"EDIT\"},{\"id\":262,\"permission\":\"CACHE_CONTROL\",\"type\":\"VIEW\"},{\"id\":263,\"permission\":\"CACHE_CONTROL\",\"type\":\"EDIT\"},{\"id\":264,\"permission\":\"ATTRIBUTES\",\"type\":\"EDIT\"},{\"id\":265,\"permission\":\"ATTRIBUTES\",\"type\":\"VIEW\"},{\"id\":270,\"permission\":\"WORKFLOW\",\"type\":\"EDIT\"},{\"id\":271,\"permission\":\"WORKFLOW\",\"type\":\"VIEW\"},{\"id\":276,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"EDIT\"},{\"id\":277,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"VIEW\"},{\"id\":285,\"permission\":\"API_CONNECTORS\",\"type\":\"VIEW\"},{\"id\":286,\"permission\":\"API_CONNECTORS\",\"type\":\"EDIT\"},{\"id\":289,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"VIEW\"},{\"id\":290,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"EDIT\"},{\"id\":293,\"permission\":\"EVENTS_HUB\",\"type\":\"VIEW\"},{\"id\":294,\"permission\":\"EVENTS_HUB\",\"type\":\"EDIT\"},{\"id\":298,\"permission\":\"OPEN_BANKING\",\"type\":\"VIEW\"},{\"id\":299,\"permission\":\"OPEN_BANKING\",\"type\":\"EDIT\"},{\"id\":302,\"permission\":\"INTEGRATIONS\",\"type\":\"VIEW\"},{\"id\":303,\"permission\":\"INTEGRATIONS\",\"type\":\"EDIT\"}]}],\"teams\":[{\"id\":2,\"name\":\"Arquitetura\",\"description\":null,\"creationDate\":null,\"users\":[],\"usersCount\":12}],\"hasAllPermissions\":false,\"userType\":\"DATABASE\",\"traceEnvironments\":[],\"mfaSecret\":true,\"loginAttempts\":0,\"status\":\"ACTIVE\",\"lastLogin\":1698258004000},\"users\":[]},\"tags\":[\"Uncategorized\"],\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
            x-interceptor-custom-interceptor-id: 30
          7: 
            x-interceptor-position: 7
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false,\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          8: 
            x-interceptor-position: 8
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false,\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "SECOND"
            x-interceptor-status: "REFERENCE"
      parameters: []
    /email/bulk/info: 
      post: 
        tags: 
          - "Bulk Email"
        summary: "Status de envio em lote de e-mails"
        description: "Status de envio em lote de e-mails"
        parameters: 
          - 
            in: "body"
            name: "body"
            description: "O corpo da requisição HTTP desta operação."
            required: true
            schema: 
              $ref: "#/definitions/InfoEmailRequest"
        responses: 
          200: 
            description: "OK - Requisição com sucesso"
            schema: 
              $ref: "#/definitions/InfoEmailResponse"
          400: 
            description: "Bad Request - Parametros inválidos ou ausentes"
            schema: 
              $ref: "#/definitions/Errors"
          401: 
            description: "Not Authorized - Não autorizado"
            schema: 
              $ref: "#/definitions/Errors"
          403: 
            description: "Forbidden - Recurso não autorizado"
            schema: 
              $ref: "#/definitions/Errors"
          404: 
            description: "Not Found - Recurso não encontrado"
            schema: 
              $ref: "#/definitions/Errors"
          417: 
            description: "Expectation Failed - Falha de validação dos dados"
            schema: 
              $ref: "#/definitions/Errors"
          500: 
            description: "Internal Server Error - Algo não funcionou conforme esperado"
            schema: 
              $ref: "#/definitions/Errors"
          504: 
            description: "Timeout Gateway - Resposta ultrapassou o tempo limite"
            schema: 
              $ref: "#/definitions/Errors"
        x-resource-name: "/email/bulk/info"
        x-destination: "https://mandrillapp.com/api/1.0/messages/info.json"
        x-timeout: "10"
        x-api-broken: false
        x-interceptors: 
          31: 
            x-interceptor-position: 1
            x-interceptor-type: "CUSTOM"
            x-interceptor-content: "{\"id\":1,\"name\":\"Releases notes\",\"script\":\"{\\n    //Gerar descrição das revisões\\n}\\n\",\"abort\":false,\"debug\":false,\"visibility\":{\"id\":43,\"visibilityType\":\"ORGANIZATION\",\"owner\":{\"id\":11,\"name\":\"Jansen Rodrigues Carvalho\",\"email\":\"jansen.carvalho@sensedia.com\",\"login\":\"jansen.carvalho@sensedia.com\",\"roles\":[{\"id\":-1,\"name\":\"Super Admin\",\"description\":\"Super users are able to do anything with the system features. Use it wisely.\",\"permissions\":[{\"id\":206,\"permission\":\"DASHBOARD\",\"type\":\"VIEW\"},{\"id\":207,\"permission\":\"ANALYTICS\",\"type\":\"VIEW\"},{\"id\":208,\"permission\":\"APIS_HEALTH\",\"type\":\"VIEW\"},{\"id\":209,\"permission\":\"APIS\",\"type\":\"VIEW\"},{\"id\":211,\"permission\":\"NOTIFICATIONS\",\"type\":\"VIEW\"},{\"id\":212,\"permission\":\"PLANS\",\"type\":\"VIEW\"},{\"id\":213,\"permission\":\"APPS\",\"type\":\"VIEW\"},{\"id\":214,\"permission\":\"ACCESS_TOKENS\",\"type\":\"VIEW\"},{\"id\":215,\"permission\":\"SECRETS\",\"type\":\"VIEW\"},{\"id\":216,\"permission\":\"DEVELOPERS\",\"type\":\"VIEW\"},{\"id\":217,\"permission\":\"TRACE\",\"type\":\"VIEW\"},{\"id\":218,\"permission\":\"ENVIRONMENTS\",\"type\":\"VIEW\"},{\"id\":219,\"permission\":\"CALLBACKS\",\"type\":\"VIEW\"},{\"id\":220,\"permission\":\"HEALTH_CHECKS\",\"type\":\"VIEW\"},{\"id\":221,\"permission\":\"USERS\",\"type\":\"VIEW\"},{\"id\":222,\"permission\":\"ROLES\",\"type\":\"VIEW\"},{\"id\":223,\"permission\":\"TEAMS\",\"type\":\"VIEW\"},{\"id\":224,\"permission\":\"AUDIT\",\"type\":\"VIEW\"},{\"id\":225,\"permission\":\"OAUTH\",\"type\":\"VIEW\"},{\"id\":226,\"permission\":\"LDAP\",\"type\":\"VIEW\"},{\"id\":227,\"permission\":\"ORGANIZATIONS\",\"type\":\"VIEW\"},{\"id\":228,\"permission\":\"TRACE_DECRYPT\",\"type\":\"VIEW\"},{\"id\":229,\"permission\":\"MFA\",\"type\":\"VIEW\"},{\"id\":230,\"permission\":\"CERTIFICATE\",\"type\":\"VIEW\"},{\"id\":231,\"permission\":\"ALERT\",\"type\":\"VIEW\"},{\"id\":232,\"permission\":\"MAIL_SETTINGS\",\"type\":\"VIEW\"},{\"id\":233,\"permission\":\"ANALYTICS\",\"type\":\"EDIT\"},{\"id\":234,\"permission\":\"APIS_HEALTH\",\"type\":\"EDIT\"},{\"id\":235,\"permission\":\"APIS\",\"type\":\"EDIT\"},{\"id\":237,\"permission\":\"NOTIFICATIONS\",\"type\":\"EDIT\"},{\"id\":238,\"permission\":\"PLANS\",\"type\":\"EDIT\"},{\"id\":239,\"permission\":\"APPS\",\"type\":\"EDIT\"},{\"id\":240,\"permission\":\"ACCESS_TOKENS\",\"type\":\"EDIT\"},{\"id\":241,\"permission\":\"SECRETS\",\"type\":\"EDIT\"},{\"id\":242,\"permission\":\"DEVELOPERS\",\"type\":\"EDIT\"},{\"id\":243,\"permission\":\"TRACE\",\"type\":\"EDIT\"},{\"id\":244,\"permission\":\"ENVIRONMENTS\",\"type\":\"EDIT\"},{\"id\":245,\"permission\":\"CALLBACKS\",\"type\":\"EDIT\"},{\"id\":246,\"permission\":\"HEALTH_CHECKS\",\"type\":\"EDIT\"},{\"id\":247,\"permission\":\"USERS\",\"type\":\"EDIT\"},{\"id\":248,\"permission\":\"ROLES\",\"type\":\"EDIT\"},{\"id\":249,\"permission\":\"TEAMS\",\"type\":\"EDIT\"},{\"id\":250,\"permission\":\"AUDIT\",\"type\":\"EDIT\"},{\"id\":251,\"permission\":\"OAUTH\",\"type\":\"EDIT\"},{\"id\":252,\"permission\":\"LDAP\",\"type\":\"EDIT\"},{\"id\":253,\"permission\":\"ORGANIZATIONS\",\"type\":\"EDIT\"},{\"id\":254,\"permission\":\"TRACE_DECRYPT\",\"type\":\"EDIT\"},{\"id\":255,\"permission\":\"MFA\",\"type\":\"EDIT\"},{\"id\":256,\"permission\":\"CERTIFICATE\",\"type\":\"EDIT\"},{\"id\":257,\"permission\":\"ALERT\",\"type\":\"EDIT\"},{\"id\":258,\"permission\":\"MAIL_SETTINGS\",\"type\":\"EDIT\"},{\"id\":261,\"permission\":\"DATA_OBFUSCATION\",\"type\":\"EDIT\"},{\"id\":262,\"permission\":\"CACHE_CONTROL\",\"type\":\"VIEW\"},{\"id\":263,\"permission\":\"CACHE_CONTROL\",\"type\":\"EDIT\"},{\"id\":264,\"permission\":\"ATTRIBUTES\",\"type\":\"EDIT\"},{\"id\":265,\"permission\":\"ATTRIBUTES\",\"type\":\"VIEW\"},{\"id\":270,\"permission\":\"WORKFLOW\",\"type\":\"EDIT\"},{\"id\":271,\"permission\":\"WORKFLOW\",\"type\":\"VIEW\"},{\"id\":276,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"EDIT\"},{\"id\":277,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"VIEW\"},{\"id\":285,\"permission\":\"API_CONNECTORS\",\"type\":\"VIEW\"},{\"id\":286,\"permission\":\"API_CONNECTORS\",\"type\":\"EDIT\"},{\"id\":289,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"VIEW\"},{\"id\":290,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"EDIT\"},{\"id\":293,\"permission\":\"EVENTS_HUB\",\"type\":\"VIEW\"},{\"id\":294,\"permission\":\"EVENTS_HUB\",\"type\":\"EDIT\"},{\"id\":298,\"permission\":\"OPEN_BANKING\",\"type\":\"VIEW\"},{\"id\":299,\"permission\":\"OPEN_BANKING\",\"type\":\"EDIT\"},{\"id\":302,\"permission\":\"INTEGRATIONS\",\"type\":\"VIEW\"},{\"id\":303,\"permission\":\"INTEGRATIONS\",\"type\":\"EDIT\"}]}],\"teams\":[{\"id\":1,\"name\":\"Sensedia team (developer)\",\"description\":null,\"creationDate\":null,\"users\":[],\"usersCount\":11}],\"hasAllPermissions\":false,\"userType\":\"DATABASE\",\"traceEnvironments\":[],\"mfaSecret\":true,\"loginAttempts\":0,\"status\":\"ACTIVE\",\"lastLogin\":1688648448000},\"users\":[]},\"tags\":[\"custom\"],\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
            x-interceptor-custom-interceptor-id: 1
          32: 
            x-interceptor-position: 2
            x-interceptor-type: "RATE_LIMIT"
            x-interceptor-content: "{\"quota\":100,\"interval\":\"MINUTE\",\"limitBy\":\"TOTAL_CALLS\",\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          33: 
            x-interceptor-position: 3
            x-interceptor-type: "ACCESS_TOKEN_VALIDATION"
            x-interceptor-content: "{\"responseContentType\":\"APPLICATION_JSON\",\"location\":\"HEADER\",\"name\":\"Authorization\",\"grantTypes\":[\"CLIENT_CREDENTIALS\"],\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          34: 
            x-interceptor-position: 4
            x-interceptor-type: "CLIENT_ID_VALIDATION"
            x-interceptor-content: "{\"responseContentType\":\"APPLICATION_JSON\",\"location\":\"HEADER\",\"name\":\"client_id\",\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          35: 
            x-interceptor-position: 5
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false,\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          36: 
            x-interceptor-position: 6
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false,\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "SECOND"
            x-interceptor-status: "REFERENCE"
      parameters: []
    /sms/send: 
      post: 
        tags: 
          - "SMS"
        summary: "Envio de SMS"
        description: "Envio de SMS"
        parameters: 
          - 
            in: "body"
            name: "body"
            description: "Origem da comunicação (empresa|telefone)"
            required: true
            schema: 
              $ref: "#/definitions/SendSmsRequest"
        responses: 
          200: 
            description: "OK - Requisição com sucesso"
            schema: 
              $ref: "#/definitions/SendSmsResponse"
          400: 
            description: "Bad Request - Parametros inválidos ou ausentes"
            schema: 
              $ref: "#/definitions/Errors"
          401: 
            description: "Not Authorized - Não autorizado"
            schema: 
              $ref: "#/definitions/Errors"
          403: 
            description: "Forbidden - Recurso não autorizado"
            schema: 
              $ref: "#/definitions/Errors"
          404: 
            description: "Not Found - Recurso não encontrado"
            schema: 
              $ref: "#/definitions/Errors"
          417: 
            description: "Expectation Failed - Falha de validação dos dados"
            schema: 
              $ref: "#/definitions/Errors"
          500: 
            description: "Internal Server Error - Algo não funcionou conforme esperado"
            schema: 
              $ref: "#/definitions/Errors"
          504: 
            description: "Timeout Gateway - Resposta ultrapassou o tempo limite"
            schema: 
              $ref: "#/definitions/Errors"
        x-resource-name: "/sms/send"
        x-destination: "$url_backend_zenvia_sms"
        x-timeout: "10"
        x-api-broken: false
        x-interceptors: 
          37: 
            x-interceptor-position: 1
            x-interceptor-type: "CUSTOM"
            x-interceptor-content: "{\"id\":1,\"name\":\"Releases notes\",\"script\":\"{\\n    //Gerar descrição das revisões\\n}\\n\",\"abort\":false,\"debug\":false,\"visibility\":{\"id\":43,\"visibilityType\":\"ORGANIZATION\",\"owner\":{\"id\":11,\"name\":\"Jansen Rodrigues Carvalho\",\"email\":\"jansen.carvalho@sensedia.com\",\"login\":\"jansen.carvalho@sensedia.com\",\"roles\":[{\"id\":-1,\"name\":\"Super Admin\",\"description\":\"Super users are able to do anything with the system features. Use it wisely.\",\"permissions\":[{\"id\":206,\"permission\":\"DASHBOARD\",\"type\":\"VIEW\"},{\"id\":207,\"permission\":\"ANALYTICS\",\"type\":\"VIEW\"},{\"id\":208,\"permission\":\"APIS_HEALTH\",\"type\":\"VIEW\"},{\"id\":209,\"permission\":\"APIS\",\"type\":\"VIEW\"},{\"id\":211,\"permission\":\"NOTIFICATIONS\",\"type\":\"VIEW\"},{\"id\":212,\"permission\":\"PLANS\",\"type\":\"VIEW\"},{\"id\":213,\"permission\":\"APPS\",\"type\":\"VIEW\"},{\"id\":214,\"permission\":\"ACCESS_TOKENS\",\"type\":\"VIEW\"},{\"id\":215,\"permission\":\"SECRETS\",\"type\":\"VIEW\"},{\"id\":216,\"permission\":\"DEVELOPERS\",\"type\":\"VIEW\"},{\"id\":217,\"permission\":\"TRACE\",\"type\":\"VIEW\"},{\"id\":218,\"permission\":\"ENVIRONMENTS\",\"type\":\"VIEW\"},{\"id\":219,\"permission\":\"CALLBACKS\",\"type\":\"VIEW\"},{\"id\":220,\"permission\":\"HEALTH_CHECKS\",\"type\":\"VIEW\"},{\"id\":221,\"permission\":\"USERS\",\"type\":\"VIEW\"},{\"id\":222,\"permission\":\"ROLES\",\"type\":\"VIEW\"},{\"id\":223,\"permission\":\"TEAMS\",\"type\":\"VIEW\"},{\"id\":224,\"permission\":\"AUDIT\",\"type\":\"VIEW\"},{\"id\":225,\"permission\":\"OAUTH\",\"type\":\"VIEW\"},{\"id\":226,\"permission\":\"LDAP\",\"type\":\"VIEW\"},{\"id\":227,\"permission\":\"ORGANIZATIONS\",\"type\":\"VIEW\"},{\"id\":228,\"permission\":\"TRACE_DECRYPT\",\"type\":\"VIEW\"},{\"id\":229,\"permission\":\"MFA\",\"type\":\"VIEW\"},{\"id\":230,\"permission\":\"CERTIFICATE\",\"type\":\"VIEW\"},{\"id\":231,\"permission\":\"ALERT\",\"type\":\"VIEW\"},{\"id\":232,\"permission\":\"MAIL_SETTINGS\",\"type\":\"VIEW\"},{\"id\":233,\"permission\":\"ANALYTICS\",\"type\":\"EDIT\"},{\"id\":234,\"permission\":\"APIS_HEALTH\",\"type\":\"EDIT\"},{\"id\":235,\"permission\":\"APIS\",\"type\":\"EDIT\"},{\"id\":237,\"permission\":\"NOTIFICATIONS\",\"type\":\"EDIT\"},{\"id\":238,\"permission\":\"PLANS\",\"type\":\"EDIT\"},{\"id\":239,\"permission\":\"APPS\",\"type\":\"EDIT\"},{\"id\":240,\"permission\":\"ACCESS_TOKENS\",\"type\":\"EDIT\"},{\"id\":241,\"permission\":\"SECRETS\",\"type\":\"EDIT\"},{\"id\":242,\"permission\":\"DEVELOPERS\",\"type\":\"EDIT\"},{\"id\":243,\"permission\":\"TRACE\",\"type\":\"EDIT\"},{\"id\":244,\"permission\":\"ENVIRONMENTS\",\"type\":\"EDIT\"},{\"id\":245,\"permission\":\"CALLBACKS\",\"type\":\"EDIT\"},{\"id\":246,\"permission\":\"HEALTH_CHECKS\",\"type\":\"EDIT\"},{\"id\":247,\"permission\":\"USERS\",\"type\":\"EDIT\"},{\"id\":248,\"permission\":\"ROLES\",\"type\":\"EDIT\"},{\"id\":249,\"permission\":\"TEAMS\",\"type\":\"EDIT\"},{\"id\":250,\"permission\":\"AUDIT\",\"type\":\"EDIT\"},{\"id\":251,\"permission\":\"OAUTH\",\"type\":\"EDIT\"},{\"id\":252,\"permission\":\"LDAP\",\"type\":\"EDIT\"},{\"id\":253,\"permission\":\"ORGANIZATIONS\",\"type\":\"EDIT\"},{\"id\":254,\"permission\":\"TRACE_DECRYPT\",\"type\":\"EDIT\"},{\"id\":255,\"permission\":\"MFA\",\"type\":\"EDIT\"},{\"id\":256,\"permission\":\"CERTIFICATE\",\"type\":\"EDIT\"},{\"id\":257,\"permission\":\"ALERT\",\"type\":\"EDIT\"},{\"id\":258,\"permission\":\"MAIL_SETTINGS\",\"type\":\"EDIT\"},{\"id\":261,\"permission\":\"DATA_OBFUSCATION\",\"type\":\"EDIT\"},{\"id\":262,\"permission\":\"CACHE_CONTROL\",\"type\":\"VIEW\"},{\"id\":263,\"permission\":\"CACHE_CONTROL\",\"type\":\"EDIT\"},{\"id\":264,\"permission\":\"ATTRIBUTES\",\"type\":\"EDIT\"},{\"id\":265,\"permission\":\"ATTRIBUTES\",\"type\":\"VIEW\"},{\"id\":270,\"permission\":\"WORKFLOW\",\"type\":\"EDIT\"},{\"id\":271,\"permission\":\"WORKFLOW\",\"type\":\"VIEW\"},{\"id\":276,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"EDIT\"},{\"id\":277,\"permission\":\"IMPACT_ANALYSIS\",\"type\":\"VIEW\"},{\"id\":285,\"permission\":\"API_CONNECTORS\",\"type\":\"VIEW\"},{\"id\":286,\"permission\":\"API_CONNECTORS\",\"type\":\"EDIT\"},{\"id\":289,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"VIEW\"},{\"id\":290,\"permission\":\"INBOUND_ADDRESS\",\"type\":\"EDIT\"},{\"id\":293,\"permission\":\"EVENTS_HUB\",\"type\":\"VIEW\"},{\"id\":294,\"permission\":\"EVENTS_HUB\",\"type\":\"EDIT\"},{\"id\":298,\"permission\":\"OPEN_BANKING\",\"type\":\"VIEW\"},{\"id\":299,\"permission\":\"OPEN_BANKING\",\"type\":\"EDIT\"},{\"id\":302,\"permission\":\"INTEGRATIONS\",\"type\":\"VIEW\"},{\"id\":303,\"permission\":\"INTEGRATIONS\",\"type\":\"EDIT\"}]}],\"teams\":[{\"id\":1,\"name\":\"Sensedia team (developer)\",\"description\":null,\"creationDate\":null,\"users\":[],\"usersCount\":11}],\"hasAllPermissions\":false,\"userType\":\"DATABASE\",\"traceEnvironments\":[],\"mfaSecret\":true,\"loginAttempts\":0,\"status\":\"ACTIVE\",\"lastLogin\":1679076613000},\"users\":[]},\"tags\":[\"custom\"]}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
            x-interceptor-custom-interceptor-id: 1
          38: 
            x-interceptor-position: 2
            x-interceptor-type: "RATE_LIMIT"
            x-interceptor-content: "{\"quota\":50,\"interval\":\"MINUTE\",\"limitBy\":\"TOTAL_CALLS\",\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          39: 
            x-interceptor-position: 3
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          40: 
            x-interceptor-position: 4
            x-interceptor-type: "ACCESS_TOKEN_VALIDATION"
            x-interceptor-content: "{\"responseContentType\":\"APPLICATION_JSON\",\"location\":\"HEADER\",\"name\":\"Authorization\",\"grantTypes\":[\"CLIENT_CREDENTIALS\"],\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          41: 
            x-interceptor-position: 5
            x-interceptor-type: "CLIENT_ID_VALIDATION"
            x-interceptor-content: "{\"responseContentType\":\"APPLICATION_JSON\",\"location\":\"HEADER\",\"name\":\"client_id\",\"ignoreBodyValidationMultiPartFormData\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          42: 
            x-interceptor-position: 6
            x-interceptor-type: "HEADER"
            x-interceptor-content: "{\"headerList\":[{\"name\":\"Accept\",\"tokenType\":\"CUSTOM\",\"attribute\":\"application/json\"},{\"name\":\"Authorization\",\"tokenType\":\"CUSTOM\",\"attribute\":\"Basic dHJhY2tzYWxlLm1hcml0aW1hOnk2YVdSTzI1RlI=\"}]}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          43: 
            x-interceptor-position: 7
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false}"
            x-interceptor-execution-point: "FIRST"
            x-interceptor-status: "REFERENCE"
          44: 
            x-interceptor-position: 8
            x-interceptor-type: "LOG"
            x-interceptor-content: "{\"acceptedTerms\":true,\"encryptContent\":false,\"encryptPathAndParameters\":false}"
            x-interceptor-execution-point: "SECOND"
            x-interceptor-status: "REFERENCE"
      parameters: []
  definitions: 
    Errors: 
      type: "array"
      items: 
        type: "object"
        properties: 
          errorCode: 
            type: "string"
            description: "Especificação de código de Erro"
          errorMessage: 
            type: "string"
            description: "Detalhe do Erro"
          timestamp: 
            type: "string"
            format: "date-time"
            description: "Data e Hora do Erro"
          status: 
            type: "integer"
            format: "int32"
            description: "Status de Erro HTTP"
          traceId: 
            type: "string"
            description: "Identificador do objeto de erro"
    InfoEmailRequest: 
      type: "object"
      required: 
        - "id"
        - "key"
      properties: 
        key: 
          type: "string"
          description: "A chave de requisição do sistema chamador."
        id: 
          type: "string"
          description: "Identificador do e-mail sobre o qual deseja-se informações."
          pattern: "[a-z0-9]{32}"
    BasicInfoRequest: 
      type: "object"
      required: 
        - "businessTower"
        - "event"
        - "messageType"
        - "originSystem"
      properties: 
        originSystem: 
          type: "string"
          description: "Nome do sistema requisitante."
          pattern: "[a-z]"
        businessTower: 
          type: "string"
          description: "Nome da torre de negócio responsável pela comunicação."
          enum: 
            - "saude"
            - "auto"
            - "vida"
            - "residencia"
        messageType: 
          type: "string"
          description: "Especifica o teor do conteúdo da mensagem (em termos de negócio)."
          enum: 
            - "negocio"
            - "informativo"
            - "campanha"
        event: 
          type: "string"
          description: "Evento da comunicação enviada. Tem por objetivo identificá-la no processo de negócio do requisitante."
    SendBulkEmailRequest: 
      allOf: 
        - 
          $ref: "#/definitions/BasicInfoRequest"
        - 
          type: "object"
          properties: 
            key: 
              type: "string"
              description: "A chave de requisição do sistema chamador."
            email: 
              $ref: "#/definitions/EmailData"
    EmailData: 
      type: "object"
      required: 
        - "fromEmail"
        - "fromName"
        - "html"
        - "subject"
        - "to"
      properties: 
        html: 
          type: "string"
          description: "O HTML que define o corpo do e-mail."
        subject: 
          type: "string"
          description: "O assunto do e-mail."
        fromEmail: 
          type: "string"
          description: "O e-mail do remetente."
        fromName: 
          type: "string"
          description: "O nome do remetente do e-mail."
        to: 
          type: "array"
          description: "O destinatário do e-mail."
          items: 
            type: "object"
            properties: 
              email: 
                type: "string"
                description: "O e-mail do destinatário."
              name: 
                type: "string"
                description: "O nome do destinatário."
              type: 
                type: "string"
                description: "O tipo do remetente. Valor padrão é to"
                enum: 
                  - "to"
                  - "cc"
                  - "bcc"
        important: 
          type: "boolean"
          description: "Marca o e-mail como importante. A maneira como esta informação é interpretada varia de acordo com a caixa de e-mail do destinatário. Default: false."
        trackOpens: 
          type: "boolean"
          description: "Define se será realizado o rastreamento da abertura dos e-mails pelo destinatário. Esta informação pode ser visualizada no console administrativo da ferramenta de envio de e-mails. Default: true."
        trackClicks: 
          type: "boolean"
          description: "Define se será realizado o rastreamento dos cliques dos links presentes no e-mail pelo destinatário. Esta informação pode ser visualizada no console administrativo da ferramenta de envio de e-mails. Default: true."
        urlStripQs: 
          type: "boolean"
          description: "Define se os relatórios de abertura de link. Caso o rastreamento de links seja ativado, deverão considerar os QueryStrings para consolidação dos dados. Default: true."
        bccAddress: 
          type: "string"
          description: "Um e-mail oculto que receberá uma cópia exata do e-mail recebido por cada um dos recipientes."
        googleAnalyticsDomains: 
          type: "array"
          description: "Um array de strings que indica os domínios dos links incluídos no e-mail para os quais tags de rastreamento do Google Analytics devem ser adicionadas."
          items: 
            type: "string"
        googleAnalyticsCampaign: 
          type: "string"
          description: "Define o valor da tag utm_campaign de rastreamento do Google Analytics. Se não for informado, o e-mail do remetente será usado."
        attachments: 
          type: "array"
          description: "Um array com os documentos que deseja-se anexar ao e-mail."
          items: 
            type: "object"
            description: "Documento que deseja-se anexar ao e-mail."
            properties: 
              type: 
                type: "string"
                description: "O tipo MIME do anexo."
              name: 
                type: "string"
                description: "O nome do anexo."
              content: 
                type: "string"
                description: "O conteúdo do anexo em base64."
            required: 
              - "content"
              - "name"
              - "type"
        images: 
          type: "array"
          description: "Um array com as imagens a serem incorporaradas ao HTML do e-mail."
          items: 
            type: "object"
            description: "Imagem a ser incorporada ao HTML do e-mail. Ela deve estar previamente referenciada no HTML conforme descrição das propriedades."
            properties: 
              type: 
                type: "string"
                description: "O tipo MIME do anexo. Precisa ser iniciado com \"image/\"/."
              name: 
                type: "string"
                description: "O contentId desta imagem para fins de referência no HTML do e-mail. Deve ser usado com o seguinte padrão: <img src=\"cid:valor\">."
              content: 
                type: "string"
                description: "O conteúdo da imagem em base64."
            required: 
              - "content"
              - "name"
              - "type"
      description: "Dados do e-mail a ser enviado."
    SendStatusRequest: 
      type: "object"
      properties: 
        id: 
          type: "string"
    SmsStatusResp: 
      type: "object"
      properties: 
        id: 
          type: "string"
        received: 
          type: "string"
          format: "datetime"
        shortcode: 
          type: "string"
        mobileOperatorName: 
          type: "string"
        statusCode: 
          type: "string"
          description: "Código de Status"
        statusDescription: 
          type: "string"
          description: "Descrição de Status"
        detailCode: 
          type: "string"
          description: "Codigo de Detalhe"
        detailDescription: 
          type: "string"
          description: "Descrição do Detalhe"
    SendEmailRequest: 
      type: "object"
      properties: 
        SendEmail: 
          type: "object"
          properties: 
            from: 
              type: "string"
            cc: 
              type: "string"
            bcc: 
              type: "string"
            to: 
              type: "string"
            subject: 
              type: "string"
            body: 
              type: "string"
            nameFile1: 
              type: "string"
            attachB641: 
              type: "string"
              format: "byte"
              pattern: "^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$"
            nameFile2: 
              type: "string"
            attachB642: 
              type: "string"
              format: "byte"
              pattern: "^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$"
            nameFile3: 
              type: "string"
            attachB643: 
              type: "string"
              format: "byte"
              pattern: "^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$"
            nameFile4: 
              type: "string"
            attachB644: 
              type: "string"
              format: "byte"
              pattern: "^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$"
            nameFile5: 
              type: "string"
            attachB645: 
              type: "string"
              format: "byte"
              pattern: "^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$"
    SendSmsRequest: 
      type: "object"
      properties: 
        from: 
          type: "string"
          example: "Sompo Seguros S/A"
          description: "Remetente da mensagem"
        to: 
          type: "string"
          example: "5511912345678"
          description: "Número de destino da mensagem"
        schedule: 
          type: "string"
          example: "2014-08-22T14:55:00"
          description: "Agendamento da mensagem"
        message: 
          type: "string"
          example: "Teste"
          description: "Mensagem"
        id: 
          type: "string"
          example: "123"
          description: "Código de referência da mensagem"
        flashSms: 
          type: "boolean"
          example: false
          description: "Envio de mensagem do tipo Flash"
    SendSmsResponse: 
      type: "object"
      properties: 
        statusCode: 
          type: "string"
          description: "Código de Status"
        statusDescription: 
          type: "string"
          description: "Descrição de Status"
        detailCode: 
          type: "string"
          description: "Código de Detalhe"
        detailDescription: 
          type: "string"
          description: "Descrição do Detalhe"
    InfoEmailResponse: 
      type: "object"
      properties: 
        id: 
          type: "string"
          description: "Identificador do e-mail sobre o qual deseja-se informações."
          pattern: "[a-z0-9]{32}"
        datetime: 
          type: "string"
          format: "date-time"
          description: "Data e hora do envio deste e-mail."
        sender: 
          type: "string"
          description: "Endereço de remetente usado para o envio deste e-mail."
        subject: 
          type: "string"
          description: "Assunto deste e-mail."
        email: 
          type: "string"
          description: "O endereço de destinatário deste e-mail."
        tags: 
          type: "array"
          description: "As tags usadas neste e-mail."
          items: 
            type: "string"
        opens: 
          type: "integer"
          description: "Quantidade de vezes que este e-mail foi aberto."
        opensDetail: 
          type: "array"
          description: "Lista dos eventos de abertura deste e-mail"
          items: 
            type: "object"
            description: "Detalhes dos eventos de abertura deste e-mail"
            properties: 
              dataHora: 
                type: "string"
                format: "date-time"
                description: "Data e hora deste evento de abertura."
              ip: 
                type: "string"
                description: "IP de origem da abertura do e-mail."
              location: 
                type: "string"
                description: "Região e país aproximados do IP de origem da abertura."
              ua: 
                type: "string"
                description: "Dados sobre o client de email ou do browser usado para a abertura do e-mail."
        clicks: 
          type: "integer"
          description: "Quantidade de vezes que um link dentro do e-mail foi aberto."
        clicksDetail: 
          type: "array"
          description: "Lista dos eventos de clique de links neste e-mail"
          items: 
            type: "object"
            description: "Detalhes do evento de clique de link neste e-mail"
            properties: 
              datetime: 
                type: "string"
                format: "date-time"
                description: "Data e hora deste evento de clique."
              url: 
                type: "string"
                description: "A URL que foi clicada."
              ip: 
                type: "string"
                description: "IP de origem do clique do link."
              location: 
                type: "string"
                description: "Região e país aproximados do IP de origem do clique."
              ua: 
                type: "string"
                description: "Dados sobre o client de e-mail ou do browser usado para a clique do link."
        state: 
          type: "string"
          description: "Status de envio deste e-mail."
          enum: 
            - "sent"
            - "bounced"
            - "rejected"
        metadata: 
          type: "object"
          description: "Metadados fornecidos no envio deste e-mail."
          additionalProperties: {}
        smtpEvents: 
          type: "array"
          description: "Log dos últimos 3 eventos de SMTP deste e-mail."
          items: 
            type: "object"
            description: "Informações sobre o evento de SMTP."
            properties: 
              datetime: 
                type: "string"
                format: "date-time"
                description: "Data e hora deste evento SMTP."
              type: 
                type: "string"
                description: "O estado do e-mail como resultado deste evento."
              diag: 
                type: "string"
                description: "A resposta SMTP do servidor do destinatário."
  externalDocs: 
    description: "Mais informações no Portal Developers Sompo"
    url: "http://developers.sompo.com.br"
  x-destination: ""
  x-interceptors: {}
  x-life-cycle: "AVAILABLE"
  x-timeout: "10"
  x-access-token-expires-in: null
  x-resources: 
    /sms/status: 
      x-resource-description: "Status de envio de SMS"
      x-destination: null
      x-interceptors: {}
      x-timeout: null
      x-api-broken: false
    /email/bulk/send: 
      x-resource-description: "Envio em lote de e-mails"
      x-destination: null
      x-interceptors: {}
      x-timeout: null
      x-api-broken: false
    /email/bulk/info: 
      x-resource-description: "Status de envio em lote de e-mails"
      x-destination: null
      x-interceptors: {}
      x-timeout: null
      x-api-broken: false
    /sms/send: 
      x-resource-description: "Envio de SMS"
      x-destination: null
      x-interceptors: {}
      x-timeout: null
      x-api-broken: false
    /email/send: 
      x-resource-description: "Envio de e-mail por SMTP"
      x-destination: null
      x-interceptors: {}
      x-timeout: null
      x-api-broken: false
  x-api-broken: false
  x-servers: 
    5: "https://api.sompo.com.br/sandbox/"
